summaryrefslogtreecommitdiffstats
path: root/util/travis_compiled_push.sh
diff options
context:
space:
mode:
Diffstat (limited to 'util/travis_compiled_push.sh')
-rwxr-xr-xutil/travis_compiled_push.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/util/travis_compiled_push.sh b/util/travis_compiled_push.sh
index 66b3beb6c..155a9a8d2 100755
--- a/util/travis_compiled_push.sh
+++ b/util/travis_compiled_push.sh
@@ -69,10 +69,9 @@ if [[ "$TRAVIS_COMMIT_MESSAGE" != *"[skip build]"* ]] ; then
# rm -f compiled/*.hex
# ignore errors here
- for file in ../qmk_firmware/keyboards/*/keymaps/*/*_default.hex; do mv -v "$file" "compiled/${file##*/}" || true; done
- for file in ../qmk_firmware/keyboards/*/*/keymaps/*/*_default.hex; do mv -v "$file" "compiled/${file##*/}" || true; done
- for file in ../qmk_firmware/keyboards/*/*/*/keymaps/*/*_default.hex; do mv -v "$file" "compiled/${file##*/}" || true; done
- for file in ../qmk_firmware/keyboards/*/*/*/*/keymaps/*/*_default.hex; do mv -v "$file" "compiled/${file##*/}" || true; done
+ # In theory, this is more flexible, and will allow for additional expansion of additional types of files and other names
+ mv -t compiled ../qmk_firmware/*_default.*(hex|bin) || true
+
bash _util/generate_keyboard_page.sh
git add -A
git commit -m "generated from qmk/qmk_firmware@${rev}"